QGIS Application - Feature request #13349
Apply "drawingInfo" style data to a Vector Layer imported from ArcGIS MapServer source
2015-09-12 05:06 PM - Bruce Steedman

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 21402
Description

| outlined the issue here: [[
http://gis.stackexchange.com/questions/162713/qgis-can-imported-arcgis-vector-layer-drawinginfo-be-applied-to-a-layer-style]]

| use your existing feature to import vector layers in GeoJSON format from ArcGIS MapServer sources, so it is frustrating that style data
included is ignored by QGIS - hence ideal for a feature enhancement!

This should apply both to GeoJSON imported directly from an ArcGIS MapServer URI and to files uploaded locally.

Many thanks

P.S. is there any reason you don't use the GitHub issue tracker?

Associated revisions

Revision 6002cc40 - 2018-03-07 06:28 AM - Nyall Dawson

[FEATURE][afs] Automatically set default style for layers

to match the server's rendering information.

Means that when an AFS layer is loaded into QGIS, it will
automatically have the same style applied as has been created
for that layer, matching the appearance of the layer when it

is loaded into ArcGIS.

Fixes #13349

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2018-03-07 06:28 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|6002cc400a9246dc521b9ae4445dfd3e65447b06.
#4 - 2018-03-07 10:56 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Description updated
